Problem Installing GPG Suite on macOS 10.10

James Hitchcock's Avatar

James Hitchcock

05 Feb, 2021 06:22 PM

I am trying to install GPG Suite to set up my Daedalus wallet set up. However, whenever I try to install I get a Javascript error. Am I doing something wrong?

  1. Support Staff 1 Posted by Steve on 09 Feb, 2021 11:59 PM

    Steve's Avatar

    Hi James,

    welcome to the GPGTools support platform. Sorry you are having problems using GPG Suite.

    GPG Suite currently supports macOS 10.14 - 11. For earlier macOS releases we can not offer support.

    Unsupported legacy versions of GPG Suite are here:
    https://releases.gpgtools.org/oldies

    You could try to install the release for your old OS from there and see if that resolves your problem.

    Note that really old macOS releases do not receive important security fixes from Apple. So if possible, it is recommended to move to a newer version.

    As you are using an unmaintained old installer, the team key used to sign releases is in expired state after installation. Thus we highly recommend to update our public key:

    1. open GPG Keychain
    2. select the key with email [email blocked]
    3. press ⌘U to update the key from key server, also possible via right-click

    The greyed out entry should turn back to normal in GPG Keychain.

    All the best,
    Steve

Reply to this discussion

Internal reply

Formatting help / Preview (switch to plain text) No formatting (switch to Markdown)

Attaching KB article:

»

Attached Files

You can attach files up to 10MB

If you don't have an account yet, we need to confirm you're human and not a machine trying to post spam.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac